@mixin figure-div {
  border: 1px solid gray;
  border-radius: 5px;
  padding: 3px;
}

@mixin flex-row {
  display: flex;
  flex-direction: row;
}

@mixin flex-column {
  display: flex;
  flex-direction: column;
}

@mixin resetBtnStyle {
  outline: none;
  background: none;
  padding: 0;
  margin: 0;
  border: none;
  box-shadow: none;
  font-family: "Ubuntu", "Cantarell", "Fira Sans",
  "Droid Sans", "Helvetica Neue", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

@mixin flex-row {
  display: flex;
  flex-direction: row;
}

@mixin flex-column {
  display: flex;
  flex-direction: column;
}

@mixin text-ellipsis {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

@mixin flex-align_center {
  @include flex-row;
  justify-content: center;
  align-items: center;
}

// default colors
$dark_green: #177245;
$green: #16A086;
$light_green: #1dc9a6;
$red: #E74C3C;
$light_red: lightcoral;
$dark_blue: #0F6177;
$light_blue: #91CED7;
$light_gray: #D4D4D4;
$gray: gray;
$white: white;
$black: black;
$purple: #381b49;

// common styles

.dashboard-cards {
  &_container {
    line-height: 1.5;
    display: flex;
    position: relative;
    flex-direction: column;
    justify-content: space-around;
    align-items: stretch;
    font-size: 16px;
    width: 100%;
    height: 100%;
    background-color: $white;
    font-family: "Ubuntu", "Cantarell", "Fira Sans",
    "Droid Sans", "Helvetica Neue", sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    color: $black;
    overflow: hidden;
    box-sizing: border-box;
    input[type=date] {
      font-size: 14px;
    }
  }
  &_form-btn {
    display: flex;
    justify-content: space-around;
    box-sizing: border-box;
    padding: 10px 0;
    button {
      @include resetBtnStyle;
      padding: 5px 10px;
      color: $white;
      background-color: $dark_blue;
      min-width: 90px;
      &:hover {
        background-color: $light_blue;
      }
    }
  }
}
